Bug 233502 - audio/tuxguitar: fails to build with fluidsynth 2.x
Summary: audio/tuxguitar: fails to build with fluidsynth 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks: 233448
  Show dependency treegraph
 
Reported: 2018-11-25 11:57 UTC by Jan Beich
Modified: 2019-02-17 09:28 UTC (History)
1 user (show)

See Also:


Attachments
tuxguitar.diff (13.79 KB, patch)
2019-02-03 08:43 UTC, Tobias Kortkamp
tobik: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-11-25 11:57:37 UTC
org_herac_tuxguitar_player_impl_midiport_fluidsynth_MidiSynth.c:277:78: error: too few arguments to function call, expected 3, have 2
                        double value = fluid_settings_getnum_default(handle->settings,(char *)jkey);
                                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              ^
/usr/local/include/fluidsynth/settings.h:134:1: note: 'fluid_settings_getnum_default' declared here
FLUIDSYNTH_API
^
/usr/local/include/fluidsynth.h:47:24: note: expanded from macro 'FLUIDSYNTH_API'
#define FLUIDSYNTH_API __attribute__ ((visibility ("default")))
                       ^
org_herac_tuxguitar_player_impl_midiport_fluidsynth_MidiSynth.c:294:75: error: too few arguments to function call, expected 3, have 2
                        int value = fluid_settings_getint_default(handle->settings,(char *)jkey);
                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              ^
/usr/local/include/fluidsynth/settings.h:147:1: note: 'fluid_settings_getint_default' declared here
FLUIDSYNTH_API
^
/usr/local/include/fluidsynth.h:47:24: note: expanded from macro 'FLUIDSYNTH_API'
#define FLUIDSYNTH_API __attribute__ ((visibility ("default")))
                       ^
org_herac_tuxguitar_player_impl_midiport_fluidsynth_MidiSynth.c:311:77: error: too few arguments to function call, expected 3, have 2
                        char *value = fluid_settings_getstr_default(handle->settings,(char *)jkey);
                                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              ^
/usr/local/include/fluidsynth/settings.h:122:1: note: 'fluid_settings_getstr_default' declared here
FLUIDSYNTH_API
^
/usr/local/include/fluidsynth.h:47:24: note: expanded from macro 'FLUIDSYNTH_API'
#define FLUIDSYNTH_API __attribute__ ((visibility ("default")))
                       ^

build log: https://ptpb.pw/U9Zu
Comment 1 Jan Beich freebsd_committer 2018-11-26 07:57:08 UTC
Assign to maintainer per ports r485884.
Comment 2 Tobias Kortkamp freebsd_committer 2019-02-03 08:06:09 UTC
This is the only thing blocking the FluidSynth update.  Is there an upstream
issue for this?
Comment 3 Tobias Kortkamp freebsd_committer 2019-02-03 08:43:00 UTC
Created attachment 201671 [details]
tuxguitar.diff

Here's a patch to fix the build.  I cannot really test runtime, but I'm hearing
something through the FluidSynth plugin when entering some chords.
Comment 4 commit-hook freebsd_committer 2019-02-17 09:28:47 UTC
A commit references this bug:

Author: tobik
Date: Sun Feb 17 09:27:44 UTC 2019
New revision: 493161
URL: https://svnweb.freebsd.org/changeset/ports/493161

Log:
  audio/tuxguitar: Prepare for FluidSynth 2.x

  Sanitize WRKSRC usage a bit to make sure we can patch the
  plugins too.

  PR:		233502
  Reported by:	jbeich
  Submitted by:	tobik
  Approved by:	yuri (maintainer timeout, 2 weeks)

Changes:
  head/audio/tuxguitar/Makefile
  head/audio/tuxguitar/files/patch-TuxGuitar-fluidsynth_jni_org__herac__tuxguitar__player__impl__midiport__fluidsynth__MidiSynth.c
  head/audio/tuxguitar/files/patch-TuxGuitar_build.properties
  head/audio/tuxguitar/files/patch-build.properties